# **********************************************************************
# Copyright 2014 VMware, Inc.  All rights reserved. VMware Confidential.
# **********************************************************************
# $Id$
# $DateTime$
# $Change$
# $Author$
# **********************************************************************
import nsx_logging
try:
    import simplejson
except ImportError:
    import json as simplejson

from cli.commands.cli_command_provider import CliCommandProvider
from cli.utils.error_utils import get_message


lg = nsx_logging.getLogger("cli.commands.framework.__self__")


class ListCommands(CliCommandProvider):
    def __call__(self, cmd_list):
        cmds = self._descriptor.service._get_all_commands(self.get_context()[0])
        cmds.sort()
        return "OK\n\n%s" % simplejson.dumps(cmds)


class Help(CliCommandProvider):
    def __call__(self, cmd_list):
        return ("OK\n\n%s" %
                simplejson.dumps(get_message("MSG_CLI_HELP")))


class SetDebugging(CliCommandProvider):
    def __call__(self, cmd_list):
        self._descriptor.service._allow_debug_cmds = True
        return "OK\n\n%s" % simplejson.dumps("")


class ClearDebugging(CliCommandProvider):
    def __call__(self, cmd_list):
        self._descriptor.service._allow_debug_cmds = False
        return "OK\n\n%s" % simplejson.dumps("")
