# **********************************************************************
# Copyright 2014 VMware, Inc.  All rights reserved. VMware Confidential.
# **********************************************************************
# $Id$
# $DateTime$
# $Change$
# $Author$
# **********************************************************************

import sys

is_py38_or_above = lambda: sys.version_info.major >= 3 and sys.version_info.minor >= 8

if is_py38_or_above():
    from cli.utils import platform_utils as platform
else:
    import platform

import socket
from socket import error as socket_error

def get_management_ip_addresses(api_server):
    mgmt_ips = []
    # Linux host may have a number of IP addresses assigned
    # to its interfaces. We find the IP address of outgoing
    # interface to reach management-plane, treat this as
    # the hosts's management IP and report this in host
    # registration payload
    s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    try:
        s.connect((api_server, 0))
    except socket_error as serr:
        return mgmt_ips
    mgmt_ips.append(s.getsockname()[0])
    return mgmt_ips

def get_os_version():
    return platform.linux_distribution()[1]
